#ifndef TCALIB1PROCESSOR_H
#define TCALIB1PROCESSOR_H

#include "TGo4EventProcessor.h"

class TXXXEventCal1;
class TXXXParam;

class TXXXMakeCal1 : public TGo4EventProcessor {
   public:
      TXXXMakeCal1() ;
      TXXXMakeCal1(const char* name);
      virtual ~TXXXMakeCal1() ;
      // event processing function, default name
      Bool_t BuildEvent(TGo4EventElement * target);
      Bool_t FillHistograms(TXXXEventCal1 * event);

 private:
      TXXXParam     *fPar1;
      TH1I          *fHis1;

   ClassDef(TXXXMakeCal1,1)
};
#endif //TCALIB1PROCESSOR_H


//----------------------------END OF GO4 SOURCE FILE ---------------------
